<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FlightCheckAvailResponse StructType
 * @subpackage Structs
 */
class FlightCheckAvailResponse extends AbstractStructBase
{
    /**
     * The CheckAvailRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CheckAvailRS
     */
    public $CheckAvailRS;
    /**
     * Constructor method for FlightCheckAvailResponse
     * @uses FlightCheckAvailResponse::setCheckAvailRS()
     * @param \StructType\JP_CheckAvailRS $checkAvailRS
     */
    public function __construct(\StructType\JP_CheckAvailRS $checkAvailRS = null)
    {
        $this
            ->setCheckAvailRS($checkAvailRS);
    }
    /**
     * Get CheckAvailRS value
     * @return \StructType\JP_CheckAvailRS|null
     */
    public function getCheckAvailRS()
    {
        return $this->CheckAvailRS;
    }
    /**
     * Set CheckAvailRS value
     * @param \StructType\JP_CheckAvailRS $checkAvailRS
     * @return \StructType\FlightCheckAvailResponse
     */
    public function setCheckAvailRS(\StructType\JP_CheckAvailRS $checkAvailRS = null)
    {
        $this->CheckAvailRS = $checkAvailRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\FlightCheckAvailResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
